Outlook Supported Environments

The Vision plugin for Outlook has the following system requirements:

Supported Outlook Versions Outlook 2010, Outlook 2013, and Outlok 2016
Supported Operating Systems Windows 7, Windows 8, Windows 2008R, Windows 10
Supported Browsers IE 10 and above, Chrome, and Firefox.
Required RAM .5GB Available.

Functionality will eventually be disabled if the user doesn't update. Currently changes are pushed to Outlook on a weekly cadence.

Enterprise MSI Installer

Vision now has an Enterprise MSI Installer. See the Enterprise MSI Installer article for details

Additional Installations: .NET and VS Runtime

The plugin will also automatically install Visual Studio Runtime package and .NET 4.5.2. if either is missing on the users computer. If the IT administrator wants to shorten this process for end users, admins can silently install both of these before installation of the Outlook plugin. Links to both packages are found below:

Standard Supported Add-ins

Non-Standard Add-ins

These add-ins are not officially supported. However, we have tested the latest versions with the Vision plugin and they work currently. Other add-ins you use may work but have not been tested with the Vision plugin.

Supported Anti-virus Software

We are currently testing additional anti-virus software.


← Gmail Campaign LimitsVision Knowledge BaseGmail Plugin Supported Environments →


Have questions?

We're happy to help. An InsideSales.com expert is just a phone call away.

(866) 593-2807

Mon-Fri 6-7 MST

© 2004 – 2015 InsideSales.com

InsideSales.com technology is protected by the following United States Patents: 8078605, 8325738, 8352389, 8510382, 8566419.